Subject: Re: [PATCH v4 0/5] Disable "git status" comment prefix

From: Matthieu Moy <[email-masked]>
Date: Fri, 06 Sep 2013 19:28:43 +0200

Jonathan Nieder <[email-masked]> writes:

> Jeff King wrote:
>> On Thu, Sep 05, 2013 at 09:36:47PM +0200, Matthieu Moy wrote:
>
>>> I'm fine with any name actually (since it is enabled by default, people
>>> don't need to know the name to benefit from the new output). Maybe
>>> status.displayCommentPrefix was the best name after all.
>>
>> FWIW, I had the same thought as Junio. I much prefer something like
>> status.displayCommentPrefix for clarity and future-proofing.
>
> Sounds fine, but I don't understand why we'd want this to be an option
> with a future in the first place.  Why not just fix the remaining bugs
> before merging to master and make it unconditional?

I think some old-time users may appreciate to have a
backward-compatibility option. It doesn't cost much for us, as we need
the variable internally (to use the prefix in COMMIT_EDITMSG, and not on
stdout), and it actually makes it easier to test.

>>                                               and the bottom "nothing
>> added" line butts against the untracked list more obviously, because
>> they now all have the same comment indentation.
>>
>> I wonder if it would look a little nicer as:
>>
>>   On branch private
>>   Your branch and 'origin/next' have diverged,
>>   and have 472 and 59 different commits each, respectively.
>>
>>   Untracked files:
>>           t/foo
>>           test-obj-pool
>>           test-string-pool
>>           test-treap
>>           test-url-normalize
>>
>>   nothing added to commit but untracked files present
>
> The added blank line before "nothing added" sounds like a good idea.

I won't change the header part in this topic (no time, sorry), but the
missing newline before "nothing added" actually sounds like a bug, as
there is normally a newline after each list of file in `git status`,
except untracked and ignored.

I'll fix it as a separate patch in the next round.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/